# deferrer.hh File Reference

Declarations for the Deferrer class. More...

Include dependency graph for deferrer.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | DeferrerDebugPart< T, B >
| Helper class for Deferrer. More...
struct | Deferrer< T, rt_checks >
| This class defers the creation of its template parameter. More...

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.
namespace | vcsn::misc

| The namespace for miscellaneous constructs.

## Enumerations

enum |

## Detailed Description

Declarations for the Deferrer class.

Author:
  Thomas Claveirole <thomas.claveirole@lrde.epita.fr>

See also:
  vcsn::misc::Deferrer

Definition in file deferrer.hh.